# Method: accounts.brands.list

- [HTTP request](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.brands/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.brands/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.brands/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.brands/list#body.request_body)
- [Response body](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.brands/list#body.response_body)
  - [JSON representation](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.brands/list#body.ListBrandsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.brands/list#body.aspect)

Returns the brands for a partner account.

### HTTP request

`GET https://travelpartner.googleapis.com/v3/{parent=accounts/*}/brands`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the account being queried. The format is `accounts/{account_id}`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of brands to return. The service may return fewer than this value. If unspecified, at most 10,000 brands will be returned. The maximum value is 10,000; values above 10,000 will be coerced to 10,000. |
| `pageToken` | `string` Optional. Page token, received from a previous `brands.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `brands.list` (except `pageSize` and `pageToken`) must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.brands/list#google.travel.travelpartner.v3.BrandService.ListBrands`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "brands": [ { object (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.brands#Brand`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `brands[]` | ``object (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.brands#Brand`)`` A list of brands for the current page associated with the Hotel Center account being queried. |
| `nextPageToken` | `string` Token that can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/travelpartner`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).